# eric6.QScintilla.Lexers.LexerMarkdown

Module implementing a Markdown lexer with some additional methods.

### Global Attributes

None

### Classes

LexerMarkdown | Subclass to implement some additional lexer dependent methods.

### Functions

None

## LexerMarkdown

Subclass to implement some additional lexer dependent methods.

### Derived from

Lexer, QsciLexerMarkdown

### Class Attributes

None

### Class Methods

None

### Methods

LexerMarkdown | Constructor
defaultKeywords | Public method to get the default keywords.

### Static Methods

None

#### LexerMarkdown (Constructor)

LexerMarkdown(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerMarkdown.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

Up